Subject: bug#11513: 24.1.50; raise-frame never raise the foreground window on Windows

From: Kazuhiro Ito <[email-masked]>
Date: Thu, 24 May 2012 15:04:59 +0900

> > raise-frame always make the unexpected result when Emacs frame is
> > the foreground window (I mean Emacs frame is colored as active window)
> > and behind of other application window(s).  And, as I described
> > previously, If Emacs frame is not the foreground window raise-frame
> > correctly works.
> 
> But the default behavior on Windows is that a window that is lowered
> loses its focus.  You need to click into it to get focus there.  So
> how come a lowered window still has focus for you?

When I run lower-frame function in Emacs frame interactively, Emacs
frame is brought behind of other application window(s) but has focus.
Key inputs are passed to lowered frame.  I tested 4 Windows PC, and
all PCs show the same behavior.

-- 
Kazuhiro Ito